Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class Point2D.Double

    java.lang.Object
      |
      +--java.awt.geom.Point2D
            |
            +--java.awt.geom.Point2D.Double

All Implemented Interfaces:
  Cloneable

Enclosing class:
  Point2D

public static class Point2D.Double
extends Point2D

The `Double` class defines a point specified in `double` precision.

Inner classes inherited from class java.awt.geom.Point2D
`Point2D.Double, Point2D.Float`

Field Summary
`double` | `x` The X coordinate of this `Point2D`.
`double` | `y` The Y coordinate of this `Point2D`.

Constructor Summary
`Point2D.Double()` Constructs and initializes a `Point2D` with coordinates (0, 0).
`Point2D.Double(double x, double y)` Constructs and initializes a `Point2D` with the specified coordinates.

Method Summary
`double` | `getX()` Returns the X coordinate of this `Point2D` in `double` precision.
`double` | `getY()` Returns the Y coordinate of this `Point2D` in `double` precision.
`void` | `setLocation(double x, double y)` Sets the location of this `Point2D` to the specified `double` coordinates.
`String` | `toString()` Returns a `String` that represents the value of this `Point2D`.

Methods inherited from class java.awt.geom.Point2D
`clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public double x

  The X coordinate of this `Point2D`.
  Since:
    1.2

### y

    public double y

  The Y coordinate of this `Point2D`.
  Since:
    1.2

Constructor Detail

### Point2D.Double

    public Point2D.Double()

  Constructs and initializes a `Point2D` with coordinates (0, 0).
  Since:
    1.2

### Point2D.Double

    public Point2D.Double(double x,
                          double y)

  Constructs and initializes a `Point2D` with the specified coordinates.
  Parameters:
    `x, y` - the coordinates to which to set the newly constructed `Point2D`
  Since:
    1.2

Method Detail

### getX

    public double getX()

  Returns the X coordinate of this `Point2D` in `double` precision.
  Overrides:
    `getX` in class `Point2D`
  Returns:
    the X coordinate of this `Point2D`.
  Since:
    1.2

### getY

    public double getY()

  Returns the Y coordinate of this `Point2D` in `double` precision.
  Overrides:
    `getY` in class `Point2D`
  Returns:
    the Y coordinate of this `Point2D`.
  Since:
    1.2

### setLocation

    public void setLocation(double x,
                            double y)

  Sets the location of this `Point2D` to the specified `double` coordinates.
  Overrides:
    `setLocation` in class `Point2D`
  Parameters:
    `x, y` - the coordinates to which to set this `Point2D`
  Since:
    1.2

### toString

    public String toString()

  Returns a `String` that represents the value of this `Point2D`.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this `Point2D`.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.